/*--------------------------------------------------------------------------------*
 *                                                                                *
 * CodecPro Incorporated                                                          *
 * 2162 Av Laurier E                                                              *
 * Montreal (Quebec)                                                              *
 * Canada, H2H 1C2                                                                *
 *                                                                                *
 * www.codecpro.com                                                               *
 *                                                                                *
 * This material is subject to continuous developments and improvements. All      *
 * warranties implied or expressed, including but not limited to, implied         *
 * warranties of merchantability, fitness for purpose, condition of title,        *
 * noninfringement, are excluded. In no event shall CodecPro Incorporated and its *
 * suppliers be liable for any special, indirect or consequential damages or any  *
 * damages whatsoever arising out of or in connection with the use of this        *
 * information. The foregoing disclaimer shall apply to the maximum extent        *
 * permitted by applicable law, even if any remedy fails its essential purpose.   *
 *                                                                                *
 *                     NON-COMMERCIAL use only.                                   *
 *                                                                                *
 * For a commercial version please contact CodecPro at sales@codecpro.com         *
 *                                                                                *
 *--------------------------------------------------------------------------------*/

/*
 *===================================================================
 *  3GPP AMR Floating-point Speech Codec
 *===================================================================
 */

#ifndef DEC_IF_H
#define DEC_IF_H

#include "typedef.h"

#define NB_SERIAL_MAX   32    /* max serial size      */
#define L_FRAME8k       160   /* Frame size at 8kHz  */

int  E_IF_amrnb_encode(Word16 iMode, Word16 *pSpeech, UWord8 *pBitstream,
                       Word16 iDtx);
int  E_IF_amrnb_init(void);
void E_IF_amrnb_exit(void);

void D_IF_amrnb_decode(UWord8 *pBitstream, Word16 *pSynthSpeech, Word32 iBfi);
int  D_IF_amrnb_init(void);
void D_IF_amrnb_exit(void);

#endif
